SQL Relay ADO.NET API: SQLRClient.SQLRelayParameterCollection Class Reference

SQL Relay ADO.NET API

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
SQLRClient.SQLRelayParameterCollection Class Reference

Inherits ArrayList, and IDataParameterCollection.

## Public Member Functions
Boolean | Contains (String parametername)
Int32 | IndexOf (String parametername)
void | RemoveAt (String parametername)
override Int32 | Add (Object value)
Int32 | Add (SQLRelayParameter value)
Int32 | Add (String parameterName, DbType type)
Int32 | Add (String parameterName, object value)
Int32 | Add (String parameterName, DbType dbtype, String sourcecolumn)

## Properties
Object | this[String index]`[get, set]`

## Member Function Documentation

override Int32 SQLRClient.SQLRelayParameterCollection.Add | ( | Object | value | ) |

Adds the specified SQLRelayParameter to the collection.

Int32 SQLRClient.SQLRelayParameterCollection.Add | ( | SQLRelayParameter | value | ) |

Adds the specified SQLRelayParameter to the collection.

Int32 SQLRClient.SQLRelayParameterCollection.Add | ( | String | parameterName,
|  | DbType | type
| ) |  |

Adds the specified SQLRelayParameter to the collection.

Int32 SQLRClient.SQLRelayParameterCollection.Add | ( | String | parameterName,
|  | object | value
| ) |  |

Adds the specified SQLRelayParameter to the collection.

Int32 SQLRClient.SQLRelayParameterCollection.Add | ( | String | parameterName,
|  | DbType | dbtype,
|  | String | sourcecolumn
| ) |  |

Adds the specified SQLRelayParameter to the collection.

Boolean SQLRClient.SQLRelayParameterCollection.Contains | ( | String | parametername | ) |

Returns whether the specified parameter is in the collection. SQLRelayParameterCollection.

Int32 SQLRClient.SQLRelayParameterCollection.IndexOf | ( | String | parametername | ) |

Gets the location of the specified parameter within the collection or -1 if it is not found in the collection.

void SQLRClient.SQLRelayParameterCollection.RemoveAt | ( | String | parametername | ) |

Removes the specified parameter from the collection.

## Property Documentation

Object SQLRClient.SQLRelayParameterCollection.this[String index]
| getset

Gets the SQLRelayParameter at the specified index.